# SDPCommonAttributes Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPCommonAttributes:

[legend]
Collaboration diagram for SDPCommonAttributes:
[legend]

## Public Types

| Undefined = -1
| Inactive
| RecvOnly
| SendOnly
| SendRecv
enum | Direction { Undefined = -1, Inactive, RecvOnly, SendOnly, SendRecv }

## Public Member Functions

| SDPCommonAttributes ()
virtual | ~SDPCommonAttributes ()
virtual void | SetDirection (const Direction &d)
virtual Direction | GetDirection () const
virtual OpalBandwidth | GetBandwidth (const PString &type) const
virtual void | SetBandwidth (const PString &type, OpalBandwidth value)
virtual const SDPBandwidth & | GetBandwidth () const
virtual const RTPExtensionHeaders & | GetExtensionHeaders () const
virtual void | SetExtensionHeader (const RTPExtensionHeaderInfo &ext)
virtual void | ParseAttribute (const PString &value)
virtual void | SetAttribute (const PString &attr, const PString &value)
virtual void | OutputAttributes (ostream &strm) const

## Static Public Member Functions

static const PCaselessString & | ConferenceTotalBandwidthType ()
static const PCaselessString & | ApplicationSpecificBandwidthType ()
static const PCaselessString & | TransportIndependentBandwidthType ()

## Protected Attributes

Direction | m_direction
SDPBandwidth | m_bandwidth
RTPExtensionHeaders | m_extensionHeaders

## Member Enumeration Documentation

enum SDPCommonAttributes::Direction

Enumerator:

  Undefined |
  Inactive |
  RecvOnly |
  SendOnly |
  SendRecv |

## Constructor & Destructor Documentation

SDPCommonAttributes::SDPCommonAttributes | ( |  | ) | `[inline]`

virtual SDPCommonAttributes::~SDPCommonAttributes | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static const PCaselessString& SDPCommonAttributes::ApplicationSpecificBandwidthType | ( |  | ) | `[static]`

static const PCaselessString& SDPCommonAttributes::ConferenceTotalBandwidthType | ( |  | ) | `[static]`

virtual const SDPBandwidth& SDPCommonAttributes::GetBandwidth | ( |  | ) | const`[inline, virtual]`

virtual OpalBandwidth SDPCommonAttributes::GetBandwidth | ( | const PString & | type | ) | const`[inline, virtual]`

virtual Direction SDPCommonAttributes::GetDirection | ( |  | ) | const`[inline, virtual]`

Reimplemented in SDPMediaDescription.

virtual const RTPExtensionHeaders& SDPCommonAttributes::GetExtensionHeaders | ( |  | ) | const`[inline, virtual]`

virtual void SDPCommonAttributes::OutputAttributes | ( | ostream & | strm | ) | const`[virtual]`

Reimplemented in SDPRTPAVPMediaDescription, SDPAudioMediaDescription, and SDPVideoMediaDescription.

virtual void SDPCommonAttributes::ParseAttribute | ( | const PString & | value | ) | `[virtual]`

virtual void SDPCommonAttributes::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented in SDPMediaDescription, SDPRTPAVPMediaDescription, SDPAudioMediaDescription, and SDPVideoMediaDescription.

virtual void SDPCommonAttributes::SetBandwidth | ( | const PString & | type,
|  | OpalBandwidth | value |
| ) |  |  | `[inline, virtual]`

virtual void SDPCommonAttributes::SetDirection | ( | const Direction & | d | ) | `[inline, virtual]`

virtual void SDPCommonAttributes::SetExtensionHeader | ( | const RTPExtensionHeaderInfo & | ext | ) | `[inline, virtual]`

static const PCaselessString& SDPCommonAttributes::TransportIndependentBandwidthType | ( |  | ) | `[static]`

## Field Documentation

SDPBandwidth SDPCommonAttributes::m_bandwidth `[protected]`

Direction SDPCommonAttributes::m_direction `[protected]`

RTPExtensionHeaders SDPCommonAttributes::m_extensionHeaders `[protected]`

The documentation for this class was generated from the following file:

- sdp.h